Skip to main content
GET
/
payments
/
{payment_id}
Retrieve Payment by ID
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payments/{payment_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "e3f397ed-b7d0-4816-ab75-8457b0a30ec1",
  "account_id": "493e9374-510a-4201-9e09-de669d75f256",
  "description": "Test Bank of America",
  "country": "US",
  "status": "READY_TO_PAY",
  "sub_status": "CREATED",
  "merchant_order_id": "0000022",
  "created_at": "2023-07-20T17:24:58.900553Z",
  "updated_at": "2023-07-20T17:25:13.447662Z",
  "amount": {
    "captured": 0,
    "currency": "USD",
    "refunded": 0,
    "value": 52000
  },
  "checkout": {
    "session": "954dc216-60ff-4ae4-a299-c603b93bd267",
    "sdk_action_required": true
  },
  "payment_method": {
    "vaulted_token": "",
    "type": "BANK_TRANSFER",
    "vault_on_success": false,
    "token": "2cd31999-e44e-4de3-bbe4-179981ff4295",
    "payment_method_detail": {
      "bank_transfer": {
        "provider_image": "",
        "account_type": null,
        "bank_name": "Bank of America",
        "beneficiary_name": "John Doe",
        "bank_account": "123456789",
        "bank_account_2": null,
        "beneficiary_document_type": "SSN",
        "beneficiary_document": "123-45-6789",
        "payment_instruction": null,
        "redirect_url": "https://api-sandbox.bankofamerica.com/v1/payment_methods/redirect/bank_transfer?transferCode=52xB9jF695TdDvHK-approved"
      }
    }
  },
  "customer_payer": {
    "id": "cfae0941-7234-427a-a739-ef4fce966c79",
    "merchant_customer_id": "1689873883",
    "first_name": "John",
    "last_name": "Doe",
    "gender": "M",
    "date_of_birth": "1980-01-01",
    "email": "johndoe@gmail.com",
    "nationality": "US",
    "ip_address": "192.168.1.1",
    "device_fingerprint": null,
    "browser_info": {
      "user_agent": "",
      "accept_header": "",
      "accept_content": null,
      "accept_browser": null,
      "color_depth": "",
      "screen_height": "",
      "screen_width": "",
      "javascript_enabled": null,
      "java_enabled": null,
      "browser_time_difference": null,
      "language": ""
    },
    "document": {
      "document_type": "SSN",
      "document_number": "123-45-6789"
    },
    "phone": {
      "number": "5551234567",
      "country_code": "1"
    },
    "billing_address": {
      "address_line_1": "123 Main Street",
      "address_line_2": null,
      "city": "New York",
      "state": "NY",
      "country": "US",
      "zip_code": "10001"
    },
    "shipping_address": {
      "address_line_1": "123 Main Street",
      "address_line_2": null,
      "city": "New York",
      "state": "NY",
      "country": "US",
      "zip_code": "10001"
    }
  },
  "additional_data": null,
  "taxes": null,
  "transactions": [
    {
      "id": "09135cb9-159c-4662-8fe3-da5523bb2266",
      "type": "PURCHASE",
      "status": "SUCCEEDED",
      "category": "BANK_TRANSFER",
      "amount": 52000,
      "provider_id": "BANK_OF_AMERICA",
      "payment_method": {
        "vaulted_token": "",
        "type": "BANK_TRANSFER",
        "vault_on_success": false,
        "token": "2cd31999-e44e-4de3-bbe4-179981ff4295",
        "detail": {
          "bank_transfer": {
            "provider_image": "",
            "account_type": null,
            "bank_name": "Bank of America",
            "beneficiary_name": "John Doe",
            "bank_account": "123456789",
            "bank_account_2": null,
            "beneficiary_document_type": "SSN",
            "beneficiary_document": "123-45-6789",
            "payment_instruction": null,
            "redirect_url": "https://api-sandbox.bankofamerica.com/v1/payment_methods/redirect/bank_transfer?transferCode=52xB9jF695TdDvHK-approved"
          }
        }
      },
      "response_code": "SUCCEEDED",
      "response_message": "Transaction successful",
      "reason": null,
      "description": "Test Bank of America",
      "merchant_reference": null,
      "provider_data": {
        "id": "BANK_OF_AMERICA",
        "transaction_id": "117490-1689873907-17347",
        "account_id": "",
        "status": "APPROVED",
        "status_detail": "",
        "response_code": "",
        "response_message": "",
        "iso8583_response_code": "00",
        "iso8583_response_message": "Approved or completed successfully",
        "raw_response": {
          "data": {
            "amount_in_cents": 5200000,
            "bill_id": null,
            "billing_data": null,
            "created_at": "2023-07-20T17:25:07.167Z",
            "currency": "USD",
            "customer_data": null,
            "customer_email": "johndoe@gmail.com",
            "finalized_at": null,
            "id": "117490-1689873907-17347",
            "payment_link_id": null,
            "payment_method": {
              "extra": {
                "is_three_ds": false
              },
              "payment_description": "Test Bank of America",
              "sandbox_status": "APPROVED",
              "type": "BANK_TRANSFER",
              "user_type": "PERSON"
            },
            "payment_method_type": "BANK_TRANSFER",
            "payment_source_id": null,
            "redirect_url": "https://google.com/?checkoutSession=954dc216-60ff-4ae4-a299-c603b93bd267",
            "reference": "09135cb9-159c-4662-8fe3-da5523bb2266",
            "shipping_address": {
              "address_line_1": "123 Main Street",
              "address_line_2": null,
              "city": "New York",
              "state": "NY",
              "country": "US",
              "zip_code": "10001"
            },
            "status": "PENDING",
            "status_message": null,
            "taxes": []
          },
          "meta": {}
        },
        "third_party_transaction_id": ""
      },
      "three_d_secure_action_required": null,
      "created_at": "2023-07-20T17:25:05.410687Z",
      "updated_at": "2023-07-20T17:25:11.472652Z"
    }
  ],
  "split": [],
  "callback_url": "https://y.uno/?checkoutSession=954dc216-60ff-4ae4-a299-c603b93bd267",
  "workflow": "SDK_CHECKOUT",
  "metadata": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.y.uno/llms.txt

Use this file to discover all available pages before exploring further.

This request enables you to retrieve details of payments based on their id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

payment_id
string
required

Query Parameters

raw_response
boolean

When true, includes the provider raw response in the output (default false).

transactions_history
boolean

When true, includes the transactions history in the response (default false).

Response

200

id
string
Example:

"e3f397ed-b7d0-4816-ab75-8457b0a30ec1"

account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

description
string
Example:

"Test Bank of America"

country
string
Example:

"US"

status
string
Example:

"READY_TO_PAY"

sub_status
string
Example:

"CREATED"

merchant_order_id
string
Example:

"0000022"

created_at
string
Example:

"2023-07-20T17:24:58.900553Z"

updated_at
string
Example:

"2023-07-20T17:25:13.447662Z"

amount
object
checkout
object
payment_method
object
customer_payer
object
additional_data
any
taxes
any
transactions
object[]
split
array
callback_url
string
Example:

"https://y.uno/?checkoutSession=954dc216-60ff-4ae4-a299-c603b93bd267"

workflow
string
Example:

"SDK_CHECKOUT"

metadata
array